> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get classification result

> Fetch the result of a classification crew run.



## OpenAPI

````yaml get /api/metastore/classify/results/{correlation_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/classify/results/{correlation_id}:
    get:
      tags:
        - Metastore
      summary: Get classification result
      description: Fetch the result of a classification crew run.
      operationId: >-
        get_classification_result_api_metastore_classify_results__correlation_id__get
      parameters:
        - name: correlation_id
          in: path
          required: true
          schema:
            type: string
            description: Correlation ID from classify request.
            title: Correlation Id
          description: Correlation ID from classify request.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClassificationResultResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ClassificationResultResponse:
      properties:
        correlation_id:
          type: string
          title: Correlation Id
        status:
          type: string
          title: Status
        result:
          anyOf:
            - $ref: '#/components/schemas/ClassificationResult'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - correlation_id
        - status
      title: ClassificationResultResponse
      description: API response for a classification result.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClassificationResult:
      properties:
        table:
          $ref: '#/components/schemas/TableClassification'
        columns:
          items:
            $ref: '#/components/schemas/ColumnClassification'
          type: array
          title: Columns
      type: object
      required:
        - table
      title: ClassificationResult
      description: Complete classification output from the crew.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TableClassification:
      properties:
        table_fqn:
          type: string
          title: Table Fqn
          description: Fully qualified table name in `catalog.schema.table` format.
        classifications:
          items:
            type: string
          type: array
          title: Classifications
          description: Classification labels
        confidence:
          type: number
          title: Confidence
          description: Confidence score between 0.0 and 1.0
          default: 0
        rationale:
          type: string
          title: Rationale
          description: Explanation for the classification
          default: ''
        suggested_description:
          type: string
          title: Suggested Description
          description: AI-suggested description for the table
          default: ''
        suggested_glossary_terms:
          items:
            $ref: '#/components/schemas/GlossaryTermSuggestion'
          type: array
          title: Suggested Glossary Terms
        suggested_tags:
          items:
            type: string
          type: array
          title: Suggested Tags
          description: Additional descriptive tags
      type: object
      required:
        - table_fqn
      title: TableClassification
      description: Classification result for a table.
    ColumnClassification:
      properties:
        column_name:
          type: string
          title: Column Name
          description: Name of the column
        classifications:
          items:
            type: string
          type: array
          title: Classifications
          description: Classification labels. For example, `pii`, `phi`, or `financial`.
        confidence:
          type: number
          title: Confidence
          description: Confidence score between 0.0 and 1.0
          default: 0
        rationale:
          type: string
          title: Rationale
          description: Explanation for the classification
          default: ''
        suggested_description:
          type: string
          title: Suggested Description
          description: AI-suggested description for the column
          default: ''
        suggested_glossary_terms:
          items:
            $ref: '#/components/schemas/GlossaryTermSuggestion'
          type: array
          title: Suggested Glossary Terms
        suggested_tags:
          items:
            type: string
          type: array
          title: Suggested Tags
          description: Additional descriptive tags
      type: object
      required:
        - column_name
      title: ColumnClassification
      description: Classification result for a single column.
    GlossaryTermSuggestion:
      properties:
        term_name:
          type: string
          title: Term Name
          description: Name of the glossary term
        term_description:
          type: string
          title: Term Description
          description: Description of the term
          default: ''
        is_existing:
          type: boolean
          title: Is Existing
          description: True if this term already exists in DataHub
          default: false
        term_urn:
          anyOf:
            - type: string
            - type: 'null'
          title: Term Urn
          description: DataHub URN if the term already exists
      type: object
      required:
        - term_name
      title: GlossaryTermSuggestion
      description: A suggested glossary term for a table or column.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````